# Use default tpfs-ci rust pipeline for this repo
include:
  - local: '.ci/tpfs.yaml'
  - local: '.ci/tpfs-overrides.yaml'

sync-dependencies:
  extends: .synchronize-central-dependency-registry

upgrade-downstream-repos:
  extends: .upgrade-consuming-repos
  variables:
    UPSTREAM_CRATES: xand-secrets-vault
  before_script:
    - export REPO_VERSION=$(toml get ./Cargo.toml package.version | tr -d \")